Package org.apache.struts2.result.xslt

# Class AbstractAdapterElement

java.lang.Object
org.apache.struts2.result.xslt.AbstractAdapterNode
org.apache.struts2.result.xslt.AbstractAdapterElement

All Implemented Interfaces:
  `AdapterNode`, `Element`, `Node`

Direct Known Subclasses:
  `ArrayAdapter`, `BeanAdapter`, `CollectionAdapter`, `MapAdapter`, `StringAdapter`

public abstract class AbstractAdapterElement extends AbstractAdapterNode implements Element
AbstractAdapterElement extends the abstract Node type and implements the DOM Element interface.

- ## Field Summary

  ### Fields inherited from interface org.w3c.dom.Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractAdapterElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Map<String,Object>`
  `buildAttributeAdapters()`
  `String`
  `getAttribute(String string)`
  No attributes, return empty attributes if asked.
  `protected Map<String,Object>`
  `getAttributeAdapters()`
  `Attr`
  `getAttributeNode(String name)`
  `Attr`
  `getAttributeNodeNS(String string, String string1)`
  `String`
  `getAttributeNS(String string, String string1)`
  `String`
  `getNodeName()`
  `short`
  `getNodeType()`
  `TypeInfo`
  `getSchemaTypeInfo()`
  `String`
  `getTagName()`
  `boolean`
  `hasAttribute(String string)`
  `boolean`
  `hasAttributeNS(String string, String string1)`
  `boolean`
  `hasChildNodes()`
  `void`
  `removeAttribute(String string)`
  `Attr`
  `removeAttributeNode(Attr attr)`
  `void`
  `removeAttributeNS(String string, String string1)`
  `void`
  `setAttribute(String string, String string1)`
  `Attr`
  `setAttributeNode(Attr attr)`
  `Attr`
  `setAttributeNodeNS(Attr attr)`
  `void`
  `setAttributeNS(String string, String string1, String string2)`
  `void`
  `setIdAttribute(String string, boolean b)`
  `void`
  `setIdAttributeNode(Attr attr, boolean b)`
  `void`
  `setIdAttributeNS(String string, String string1, boolean b)`

  ### Methods inherited from class org.apache.struts2.result.xslt.AbstractAdapterNode

  `appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getAttributes, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, hasAttributes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.w3c.dom.Element

  `getElementsByTagName, getElementsByTagNameNS`

  ### Methods inherited from interface org.w3c.dom.Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Constructor Details

  - ### AbstractAdapterElement

    protected AbstractAdapterElement()

- ## Method Details

  - ### setAttribute

    public void setAttribute(String string, String string1) throws DOMException
    Specified by:
      `setAttribute` in interface `Element`
    Throws:
      `DOMException`

  - ### getAttributeAdapters

    protected Map<String,Object> getAttributeAdapters()

  - ### buildAttributeAdapters

    protected Map<String,Object> buildAttributeAdapters()

  - ### getAttribute

    public String getAttribute(String string)
    No attributes, return empty attributes if asked.
    Specified by:
      `getAttribute` in interface `Element`

  - ### setAttributeNS

    public void setAttributeNS(String string, String string1, String string2) throws DOMException
    Specified by:
      `setAttributeNS` in interface `Element`
    Throws:
      `DOMException`

  - ### getAttributeNS

    public String getAttributeNS(String string, String string1)
    Specified by:
      `getAttributeNS` in interface `Element`

  - ### setAttributeNode

    public Attr setAttributeNode(Attr attr) throws DOMException
    Specified by:
      `setAttributeNode` in interface `Element`
    Throws:
      `DOMException`

  - ### getAttributeNode

    public Attr getAttributeNode(String name)
    Specified by:
      `getAttributeNode` in interface `Element`

  - ### setAttributeNodeNS

    public Attr setAttributeNodeNS(Attr attr) throws DOMException
    Specified by:
      `setAttributeNodeNS` in interface `Element`
    Throws:
      `DOMException`

  - ### getAttributeNodeNS

    public Attr getAttributeNodeNS(String string, String string1)
    Specified by:
      `getAttributeNodeNS` in interface `Element`

  - ### getNodeName

    public String getNodeName()
    Specified by:
      `getNodeName` in interface `Node`
    Overrides:
      `getNodeName` in class `AbstractAdapterNode`

  - ### getNodeType

    public short getNodeType()
    Specified by:
      `getNodeType` in interface `Node`
    Overrides:
      `getNodeType` in class `AbstractAdapterNode`

  - ### getTagName

    public String getTagName()
    Specified by:
      `getTagName` in interface `Element`

  - ### hasAttribute

    public boolean hasAttribute(String string)
    Specified by:
      `hasAttribute` in interface `Element`

  - ### hasAttributeNS

    public boolean hasAttributeNS(String string, String string1)
    Specified by:
      `hasAttributeNS` in interface `Element`

  - ### hasChildNodes

    public boolean hasChildNodes()
    Specified by:
      `hasChildNodes` in interface `Node`
    Overrides:
      `hasChildNodes` in class `AbstractAdapterNode`

  - ### removeAttribute

    public void removeAttribute(String string) throws DOMException
    Specified by:
      `removeAttribute` in interface `Element`
    Throws:
      `DOMException`

  - ### removeAttributeNS

    public void removeAttributeNS(String string, String string1) throws DOMException
    Specified by:
      `removeAttributeNS` in interface `Element`
    Throws:
      `DOMException`

  - ### removeAttributeNode

    public Attr removeAttributeNode(Attr attr) throws DOMException
    Specified by:
      `removeAttributeNode` in interface `Element`
    Throws:
      `DOMException`

  - ### setIdAttributeNode

    public void setIdAttributeNode(Attr attr, boolean b) throws DOMException
    Specified by:
      `setIdAttributeNode` in interface `Element`
    Throws:
      `DOMException`

  - ### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()
    Specified by:
      `getSchemaTypeInfo` in interface `Element`

  - ### setIdAttribute

    public void setIdAttribute(String string, boolean b) throws DOMException
    Specified by:
      `setIdAttribute` in interface `Element`
    Throws:
      `DOMException`

  - ### setIdAttributeNS

    public void setIdAttributeNS(String string, String string1, boolean b) throws DOMException
    Specified by:
      `setIdAttributeNS` in interface `Element`
    Throws:
      `DOMException`